﻿using System.Drawing;

namespace TestProject
{
    /// <summary>
    /// 그래픽스 헬퍼
    /// </summary>
    public static class GraphicsHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 사각형 그리기 - DrawRectangle(graphics, pen, rectangle)

        /// <summary>
        /// 사각형 그리기
        /// </summary>
        /// <param name="graphics">그래픽스</param>
        /// <param name="pen">펜</param>
        /// <param name="rectangle">사각형</param>
        public static void DrawRectangle(Graphics graphics, Pen pen, RectangleF rectangle)
        {
            graphics.DrawRectangle(pen, rectangle.X, rectangle.Y, rectangle.Width, rectangle.Height);
        }

        #endregion
        #region 상자 그리기 - DrawBox(graphics, brush, pen, centerPoint, radius)

        /// <summary>
        /// 상자 그리기
        /// </summary>
        /// <param name="graphics">그래픽스</param>
        /// <param name="brush">브러시</param>
        /// <param name="pen">펜</param>
        /// <param name="centerPoint">중심 포인트</param>
        /// <param name="radius">반경</param>
        public static void DrawBox(Graphics graphics, Brush brush, Pen pen, PointF centerPoint, float radius)
        {
            RectangleF rectangle = new RectangleF
            (
                centerPoint.X - radius,
                centerPoint.Y - radius,
                2 * radius,
                2 * radius
            );

            graphics.FillRectangle(brush, rectangle);

            GraphicsHelper.DrawRectangle(graphics, pen, rectangle);
        }

        #endregion
    }
}